OpenTTD AI API: AIEventCompanyAskMerger Class Reference

OpenTTD AI API 15.2

Public Member Functions | Static Public Member Functions
AIEventCompanyAskMerger Class Reference

Event Company Ask Merger, indicating a company can be bought (cheaply) by you. More...

`#include <script_event_types.hpp>`

Inheritance diagram for AIEventCompanyAskMerger:

## Public Member Functions
AICompany::CompanyID | GetCompanyID ()
| Get the CompanyID of the company that can be bought.
Money | GetValue ()
| Get the value of the new company.
bool | AcceptMerger ()
| Take over the company for this merger.
Public Member Functions inherited from AIEvent
AIEventType | GetEventType ()
| Get the event-type.

## Static Public Member Functions
static AIEventCompanyAskMerger * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.

## Additional Inherited Members
Public Types inherited from AIEvent
enum | AIEventType { ET_INVALID , ET_TEST , ET_SUBSIDY_OFFER , ET_SUBSIDY_OFFER_EXPIRED , ET_SUBSIDY_AWARDED , ET_SUBSIDY_EXPIRED , ET_ENGINE_PREVIEW , ET_COMPANY_NEW , ET_COMPANY_IN_TROUBLE , ET_COMPANY_ASK_MERGER , ET_COMPANY_MERGER , ET_COMPANY_BANKRUPT , ET_VEHICLE_CRASHED , ET_VEHICLE_LOST , ET_VEHICLE_WAITING_IN_DEPOT , ET_VEHICLE_UNPROFITABLE , ET_INDUSTRY_OPEN , ET_INDUSTRY_CLOSE , ET_ENGINE_AVAILABLE , ET_STATION_FIRST_VEHICLE , ET_DISASTER_ZEPPELINER_CRASHED , ET_DISASTER_ZEPPELINER_CLEARED , ET_TOWN_FOUNDED , ET_AIRCRAFT_DEST_TOO_FAR , ET_ADMIN_PORT , ET_WINDOW_WIDGET_CLICK , ET_GOAL_QUESTION_ANSWER , ET_EXCLUSIVE_TRANSPORT_RIGHTS , ET_ROAD_RECONSTRUCTION , ET_VEHICLE_AUTOREPLACED , ET_STORYPAGE_BUTTON_CLICK , ET_STORYPAGE_TILE_SELECT , ET_STORYPAGE_VEHICLE_SELECT , ET_COMPANY_RENAMED , ET_PRESIDENT_RENAMED }
| The type of event. More...

## Detailed Description

Event Company Ask Merger, indicating a company can be bought (cheaply) by you.

## Member Function Documentation

## ◆ AcceptMerger()

bool AIEventCompanyAskMerger::AcceptMerger | ( |  | ) |

Take over the company for this merger.

Returns
  true if the merger was a success.

## ◆ Convert()

static AIEventCompanyAskMerger * AIEventCompanyAskMerger::Convert | ( | AIEvent * | instance | ) |
| inlinestatic

Convert an AIEvent to the real instance.

Parameters

  instance | The instance to convert.

Returns
  The converted instance.

## ◆ GetCompanyID()

AICompany::CompanyID AIEventCompanyAskMerger::GetCompanyID | ( |  | ) |
| inline

Get the CompanyID of the company that can be bought.

Returns
  The CompanyID of the company that can be bought.

Note
  If the company is bought this will become invalid.

## ◆ GetValue()

Money AIEventCompanyAskMerger::GetValue | ( |  | ) |
| inline

Get the value of the new company.

Returns
  The value of the new company.